> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Project Members

List the users who have been granted access to a Project. Each member has a set of permissions describing what they can do within the project (e.g., `can_see_files`, `can_add_files`, `can_edit_metadata`, `can_download_files`).


## OpenAPI

````yaml GET /api/v1/projects/{id}/members
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/projects/{id}/members:
    get:
      summary: GET projects members
      operationId: get_projects_members
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  properties:
                    permissions:
                      items:
                        type: string
                      title: Permissions
                      type: array
                    user:
                      properties:
                        __DOLLAR_REF__:
                          example: /api/v1/users/a1b2c3d4e5f67890
                          format: uri
                          pattern: ^/api/v1/users/[a-f0-9]{16}$
                          type: string
                      type: object
                  required:
                    - permissions
                    - user
                  title: ProjectGetMembersSchema
                  type: object
                type: array
          description: OK
components:
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````